- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages:
default
System
System.Caching
System.Collections
System.Data
System.Data.ActiveRecord
System.Data.ActiveRecord.Relations
System.Data.ActiveRecord.Scaffold
System.Data.ActiveReecord.Scaffold.InputBuilder
System.Data.Commom.Sqlite
System.Data.Common
System.Data.Common.Mssql
System.Data.Common.Mysql
System.Data.Common.Oracle
System.Data.Common.Pgsql
System.Data.Common.Sqlite
System.Data.DataGateway
System.Data.SqlMap
System.Data.SqlMap.Configuration
System.Data.SqlMap.Statements
System.Exceptions
System.I18N
System.IO
System.Security
System.Util
System.Web
System.Web.Services
System.Web.UI
System.Web.UI.ActiveControls
System.Web.UI.WebControls
System.Web.UI.WebControls.assets
System.Xml
Classes:
IScaffoldEditRenderer
TScaffoldBase
TScaffoldEditView
TScaffoldListView
TScaffoldSearch
TScaffoldView

Keyword

# Class TScaffoldBase

    TComponent
       |
       --TApplicationComponent
          |
          --TControl
             |
             --TCompositeControl
                |
                --TTemplateControl
                   |
                   --TScaffoldBase

#### Direct Known Sub-classes:

TScaffoldEditView , TScaffoldListView , TScaffoldView , TScaffoldSearch

Base class for Active Record scaffold views.

Provides common properties for all scaffold views (such as, TScaffoldListView, TScaffoldEditView, TScaffoldListView and TScaffoldView).

During the OnPrRender stage the default css style file (filename style.css) is published and registered. To override the default style, provide your own stylesheet file explicitly.

Since: 3.1
Author: Wei Zhuo <weizho[at]gmail[dot]com>

Constants Inherited From TTemplateControl
EXT_TEMPLATE,

Constants Inherited From TControl

AUTOMATIC_ID_PREFIX, CLIENT_ID_SEPARATOR, CS_CHILD_INITIALIZED, CS_CONSTRUCTED, CS_INITIALIZED, CS_LOADED, CS_PRERENDERED, CS_STATE_LOADED, ID_FORMAT, ID_SEPARATOR, IS_CHILD_CREATED, IS_CREATING_CHILD, IS_DISABLE_THEMING, IS_DISABLE_VIEWSTATE, IS_ID_SET, IS_SKIN_APPLIED, IS_STYLESHEET_APPLIED, RF_ADAPTER, RF_AUTO_BINDINGS, RF_CHILD_STATE, RF_CONTROLS, RF_CONTROLSTATE, RF_DATA_BINDINGS, RF_EVENTS, RF_NAMED_CONTROLS, RF_NAMED_CONTROLS_ID, RF_NAMED_OBJECTS, RF_SKIN_ID,

Method Summary
protected void | clearRecordObject () Unset the current record instance and table information.
protected void | copyFrom ( TScaffoldBase $obj) Copy the view details from another scaffold view instance.
string | getDefaultStyle ()
boolean | getEnableDefaultStyle ()
string | getRecordClass () Name of the Active Record class to be viewed or scaffolded.
protected TActiveRecord | getRecordFinder ()
protected TActiveRecord | getRecordObject ( array $pk) Gets the current Active Record instance. Creates new instance if the primary key value is null otherwise the record is fetched from the db.
protected array | getRecordPkValues ( TActiveRecord $record)
protected array | getRecordPropertyValues ( TActiveRecord $record)
protected TDbMetaData | getTableInfo ()
void | onPreRender ( mixed $param) Publish the default stylesheet file.
void | setDefaultStyle ( string $value)
void | setEnableDefaultStyle ( boolean $value)
void | setRecordClass ( string $value) Name of the Active Record class to be viewed or scaffolded.
protected void | setRecordObject ( TActiveRecord $value)

Methods Inherited From TTemplateControl

TTemplateControl::createChildControls(), TTemplateControl::getIsSourceTemplateControl(), TTemplateControl::getMaster(), TTemplateControl::getMasterClass(), TTemplateControl::getTemplate(), TTemplateControl::getTemplateDirectory(), TTemplateControl::initRecursive(), TTemplateControl::injectContent(), TTemplateControl::loadTemplate(), TTemplateControl::registerContent(), TTemplateControl::registerContentPlaceHolder(), TTemplateControl::setMasterClass(), TTemplateControl::setTemplate()

Methods Inherited From TCompositeControl
TCompositeControl::initRecursive()

Methods Inherited From TControl

TControl::addedControl(), TControl::addParsedObject(), TControl::addToPostDataLoader(), TControl::applyStyleSheetSkin(), TControl::autoBindProperty(), TControl::autoDataBindProperties(), TControl::bindProperty(), TControl::broadcastEvent(), TControl::bubbleEvent(), TControl::clearChildState(), TControl::clearControlState(), TControl::clearNamingContainer(), TControl::clearViewState(), TControl::convertUniqueIdToClientId(), TControl::createChildControls(), TControl::createControlCollection(), TControl::dataBind(), TControl::dataBindChildren(), TControl::dataBindProperties(), TControl::ensureChildControls(), TControl::findControl(), TControl::findControlsByID(), TControl::findControlsByType(), TControl::focus(), TControl::getAdapter(), TControl::getAllowChildControls(), TControl::getAttribute(), TControl::getAttributes(), TControl::getChildControlsCreated(), TControl::getClientID(), TControl::getControls(), TControl::getControlStage(), TControl::getControlState(), TControl::getCustomData(), TControl::getEnabled(), TControl::getEnableTheming(), TControl::getEnableViewState(), TControl::getHasAdapter(), TControl::getHasAttributes(), TControl::getHasChildInitialized(), TControl::getHasControls(), TControl::getHasInitialized(), TControl::getHasLoaded(), TControl::getHasLoadedPostData(), TControl::getHasPreRendered(), TControl::getID(), TControl::getNamingContainer(), TControl::getPage(), TControl::getParent(), TControl::getRegisteredObject(), TControl::getSkinID(), TControl::getSourceTemplateControl(), TControl::getTemplateControl(), TControl::getUniqueID(), TControl::getViewState(), TControl::getVisible(), TControl::hasAttribute(), TControl::initRecursive(), TControl::isDescendentOf(), TControl::isObjectRegistered(), TControl::loadRecursive(), TControl::loadState(), TControl::loadStateRecursive(), TControl::onDataBinding(), TControl::onInit(), TControl::onLoad(), TControl::onPreRender(), TControl::onUnload(), TControl::preRenderRecursive(), TControl::raiseBubbleEvent(), TControl::registerObject(), TControl::removeAttribute(), TControl::removedControl(), TControl::render(), TControl::renderChildren(), TControl::renderControl(), TControl::saveState(), TControl::saveStateRecursive(), TControl::setAdapter(), TControl::setAttribute(), TControl::setChildControlsCreated(), TControl::setControlStage(), TControl::setControlState(), TControl::setCustomData(), TControl::setEnabled(), TControl::setEnableTheming(), TControl::setEnableViewState(), TControl::setID(), TControl::setPage(), TControl::setSkinID(), TControl::setTemplateControl(), TControl::setViewState(), TControl::setVisible(), TControl::trackViewState(), TControl::traverseChildControls(), TControl::unbindProperty(), TControl::unloadRecursive(), TControl::unregisterObject(), TControl::__get()

Methods Inherited From TApplicationComponent
TApplicationComponent::getApplication(), TApplicationComponent::getRequest(), TApplicationComponent::getResponse(), TApplicationComponent::getService(), TApplicationComponent::getSession(), TApplicationComponent::getUser(), TApplicationComponent::publishAsset(), TApplicationComponent::publishFilePath()

Methods Inherited From TComponent

TComponent::addParsedObject(), TComponent::attachEventHandler(), TComponent::canGetProperty(), TComponent::canSetProperty(), TComponent::createdOnTemplate(), TComponent::detachEventHandler(), TComponent::evaluateExpression(), TComponent::evaluateStatements(), TComponent::getEventHandlers(), TComponent::getSubProperty(), TComponent::hasEvent(), TComponent::hasEventHandler(), TComponent::hasProperty(), TComponent::raiseEvent(), TComponent::setSubProperty(), TComponent::__get(), TComponent::__set()

Constant Summary

Method Details

## clearRecordObject

protected void clearRecordObject | ()

Unset the current record instance and table information.

Output
Exception

## copyFrom

protected void copyFrom | (TScaffoldBase $obj )

Copy the view details from another scaffold view instance.

Input
TScaffoldBase | $obj | scaffold view.
Output
Exception

## getDefaultStyle

public string getDefaultStyle | ()

Output
string | default scaffold stylesheet name
Exception

## getEnableDefaultStyle

public boolean getEnableDefaultStyle | ()

Output
boolean | enable default stylesheet, default is true.
Exception

## getRecordClass

public string getRecordClass | ()

Name of the Active Record class to be viewed or scaffolded.

Output
string | Active Record class name.
Exception

## getRecordFinder

protected TActiveRecord getRecordFinder | ()

Output
TActiveRecord | Active Record finder instance
Exception

## getRecordObject

protected TActiveRecord getRecordObject | (array $pk )

Gets the current Active Record instance. Creates new instance if the primary key value is null otherwise the record is fetched from the db.

Input
array | $pk | primary key value
Output
TActiveRecord | record instance
Exception

## getRecordPkValues

protected array getRecordPkValues | (TActiveRecord $record )

Input
TActiveRecord | $record | record instance
Output
array | record primary key values.
Exception

## getRecordPropertyValues

protected array getRecordPropertyValues | (TActiveRecord $record )

Input
TActiveRecord | $record | record instance
Output
array | record property values
Exception

## getTableInfo

protected TDbMetaData getTableInfo | ()

Output
TDbMetaData | table/view information
Exception

## onPreRender

public void onPreRender | (mixed $param )

Publish the default stylesheet file.

Input
mixed | $param |
Output
Exception

## setDefaultStyle

public void setDefaultStyle | (string $value )

Input
string | $value | default scaffold stylesheet name
Output
Exception

## setEnableDefaultStyle

public void setEnableDefaultStyle | (boolean $value )

Input
boolean | $value | enable default stylesheet, default is true.
Output
Exception

## setRecordClass

public void setRecordClass | (string $value )

Name of the Active Record class to be viewed or scaffolded.

Input
string | $value | Active Record class name.
Output
Exception

## setRecordObject

protected void setRecordObject | (TActiveRecord $value )

Input
TActiveRecord | $value | Active Record instance.
Output
Exception